# Implementation AWB algorithm using FFCC

Dependencies:
* ffcc github project at https://github.com/google/ffcc
* "minFunc" library at https://www.cs.ubc.ca/~schmidtm/Software/minFunc.html

Download all dependencies, and put both minFunc and awbffcc under ffcc/.
In the matlab addpath to minFunc/ and awbffcc/

awbffcc provides

* EvaluateFFCC.m - script to evaluate FFCC methods illuminant estimation accuracy,
  and compared with gray-world, maxRGB methods.
* FFCC() - white balance image using FFCC method
* GrayWorldAWB - white balance image using gray-world assumption
* MaxRgbAWB - white balance image using maxRGB method
* Visualization methods - to help visualized the median steps and final results.

